Subject: bug#7728: 24.0.50; GDB backtrace from abort

From: "Drew Adams" <[email-masked]>
Date: Thu, 13 Jan 2011 23:09:28 -0800

> Also, if I load the source file that defines it, I am able to choose a
> completion using mouse-2 without a crash and without raising 
> the error....
> 
> I see now that if, starting with only byte-compiled code, I 
> then load the source file icicles-mcmd.el, then there is no crash.
> That is the file that defines `icicle-mouse-choose-completion',
> to which `mouse-choose-completion' is defaliased (in Icicle mode).

Nope, that is not really true.  It seems to depend on which frame is selected
when I use C-h f, although even that is not clear.  Sometimes the mouse-2 click
in *Completion* provokes a crash; sometimes it does not.  So maybe this is the
same problem after all, and has nothing to do with `mouse-choose-completion'.

> I also traced that in the debugger after loading
> that source file, and the event passed to `mouse-choose-completion'
> is a legitimate mouse event (not nil nil as in the backtrace 
> below).  Call me clueless now.